Skip to main content
`Ctrl`+`K`

# DMSwarmComputeLocalSize

Compute the local number and distribution of particles based upon a density function

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmComputeLocalSize(DM sw, PetscInt N, PetscProbFn *density)

Not Collective

## Input Parameters

- sw - The `DMSWARM`

- N - The target number of particles

- density - The density field for the particle layout, normalized to unity

## Note

One particle will be created for each species.

## See Also

`DMSWARM`, `DMSwarmComputeLocalSizeFromOptions()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages